import re
import json
import os


from ..services import client
from terminal import *

def create(json=None, file=None):
    json = json or file
    #print json

    s = client.create_job(json)
    print(green('Job created: %s' % s.JobId))

def transform_json(s):
    return json.loads(s)

def transform_file(f=None):
    if not f:
        raise Exception('A valid file path is required')

    if f.startswith('/') or f.startswith('~/') or  re.match(r'^\w\:',f):
        p = f
    # elif f.startswith('~/'):
    #     p = os.path.join( os.path.expanduser('~'), f )
    else:
        p = os.path.join(os.getcwd(), f)
    with open(p) as f:
        return json.loads(f.read())