from ..services import client, printer

def list(platform=''):
    image_list = client.list_images()
    t = printer.filter_list(image_list, {'Platform':{'like':platform}})

    printer.print_arr(t,['ImageId','ImageName','Platform','Description'])
    printer.print_count(len(t))

def transform_platform(platform=''):
    platform = platform.lower()
    if platform in 'linux':
        return 'Linux'
    elif platform in 'windows':
        return 'Windows'
    else:
        return ''
