# -*- coding: utf-8 -*-

def getJSON():
   return {
       "images": {
           "help": u"获取可用的镜像列表",
           "platform": u'按平台过滤'
       },
       "jobs": {
           "help": u'获取我所有的作业',
           'watch': u'每隔3秒自动刷新',
           'limit': u'限制返回的结果的长度',
            'order': '按照指定字段排序',
            'desc': '是否倒序, 默认: true',
            'state': '过滤状态，STATE1[,STATE2]...',
       },
       "job": {
           "help": 'CRUD job, get task details...',
           "get": {
              'help': 'get job detail, task detail, instance detail',
              'watch': 'auto refresh every 3 secends'
           },
           "start": {
              "help": "start a job"
           },
           "stop": {
               "help": 'stop a job'
           },
           "remove": {
               "help": 'remove a job'
           },
           "update": {
               "help": 'update job properties, currently only supported PRIORITY'
           },
           "submit": {
               "help": 'submit a job, from FILE_PATH, or JSON_STRING',
               'file_path': 'json file path, exp: -f "./job_1.json" ',
               'json_string': 'json string, exp: -j \"{\\\"JobName\\\":\\\"job_name_1...\"'
           }

       },
       "project": {
          'help': 'create a job project, build, debug & submit job',
          'create': {
             'help': 'create a job project',
             'type': 'default:python'
          },
          'build': {
             'help': 'build job project'
          }
       }
   }
