import shutil
import os
from ..services import zip
from terminal import *
import re

def create(project_name, location=None, type='python'):

    cur_path = os.path.split(os.path.realpath(__file__))[0]

    src = os.path.join(cur_path, '../templates/%s' % type)

    dist = __get_location(location)
    dist = os.path.join(dist, project_name)

    print('create project [%s] at: %s' % (project_name, dist))

    zip.unzip_file('%s.zip' % src, dist)
    #shutil.copytree(src, dist)
    print(green('Done'))


def transform_type(type=None):
    if not type:
        return 'python'

    arr = ['java','python','native']
    if(type.lower() in arr):
        return type.lower()

    raise Exception('Invalid type: %s' % type)


def __get_location(location):
    print location

    if not location:
        return os.getcwd()

    elif location.startswith('/') or location.startswith('~') or re.match(r'^\w\:',location):
        return location
    else:
        return os.path.join(os.getcwd(), location)
