
def getJSON():
   return {
       "images": {
           "help": "Get valid image list",
           "platform": 'Filter by platform'
       },
       "jobs": {
           "help": 'Get my own job list.',
           'watch': 'Auto refresh every 3 secends',
           'limit': 'Limit the length of the result',
           'order': 'Order by FIELD_NAME',
           'desc': 'Reverse the result, default: true',
           'state': 'filter by state, STATE1[,STATE2]...',
       },
       "job": {
           "help": 'CRUD job, get task details...',
           "get": {
              'help': 'get job detail, task detail, instance detail',
              'watch': 'auto refresh every 3 secends'
           },
           "start": {
              "help": "start a job"
           },
           "stop": {
               "help": 'stop a job'
           },
           "remove": {
               "help": 'remove a job'
           },
           "update": {
               "help": 'update job properties, currently only supported PRIORITY'
           },
           "submit": {
               "help": 'submit a job, from FILE_PATH, or JSON_STRING',
               'file_path': 'json file path, exp: -f "./job_1.json" ',
               'json_string': 'json string, exp: -j \"{\\\"JobName\\\":\\\"job_name_1...\"'
           }

       },
       "project": {
          'help': 'create a job project, build, debug & submit job',
          'create': {
             'help': 'create a job project',
             'type': 'default:python'
          },
          'build': {
             'help': 'build job project'
          }
       }
   }
