#!/usr/bin/env python
# -*- coding: UTF-8 -*-
import math
import os
from oss.oss_api import *
HOST = os.environ.get('ALI_DIKU_OSS_HOST')

# Your AccessKeyId, AccessKeySecret and bucket here
# todo: 以下变量需要修改
ACCESS_KEY_ID = ''  #'your-AccessKeyId'
ACCESS_KEY_SECRET = '' #'your-AccessKeySecret'
BUCKET = '' #'your-bucket'
FIND_INPUT_PATH = '' #'find-prime/input-data-%s.txt'
FIND_OUTPUT_PATH = '' #'find-prime/data/%s-result-%s'

task_id = os.environ['ALI_DIKU_TASK_ID']
instance_id = os.environ['ALI_DIKU_INSTANCE_ID']

oss = OssAPI(HOST, ACCESS_KEY_ID, ACCESS_KEY_SECRET)
res = oss.get_object(BUCKET, FIND_INPUT_PATH %instance_id)

data = res.read()
data = [int(x) for x in data.split()]

def is_prime_num(n):
  if n <= 1:
    return False
  i=2
  while i * i <= n:
    if n % i == 0:
      return False
    i += 1
  return True

prime = [str(x) for x in data if is_prime_num(x)]
oss.put_object_from_string(BUCKET,  FIND_OUTPUT_PATH % (task_id, instance_id), ' '.join(prime))